Upload an Extension Voicemail Greeting
Upload a voicemail greeting for specified extension.
Request URL
POST {base_url}/{api_path}/extension_vm_greeting/upload?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| owner | Yes | String | The number of the extension to which the uploaded voicemail greeting belongs. Note: You can query the extension number using Search Specific Extensions. |
| file | Yes | File | The voicemail greeting file.Note:Only a file in ".wav", ".mp3" or ".gsm" format is supported, and the file size must not exceed 8MB. |
| is_check | Yes | String | The operation mode. Valid value:
Note:If no duplicate filename exists, add the voicemail greeting directly; otherwise, overwrite the existing one. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| owner | String | The number of the extension to which the uploaded voicemail greeting belongs. |
Examples
Request example
Check whether the filename of the greeting (file: vm_away.wav) already exists in the voicemail greeting list for specified extension (number: 3200).
POST /openapi/v1.0/extension_vm_greeting/upload?access_token=L3LDr0HRuT190YmccVIaXj6OxkLzUHfo HTTP/1.1 Host: 192.168.5.150:8088 Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW ------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="file"; filename="/D:/greeting/vm_away.wav" Content-Type: audio/wav (binary data) ------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="owner" 3200 ------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="is_check" ask ------WebKitFormBoundary7MA4YWxkTrZu0gW--
Figure: Request example 1 in Postman

Upload the voicemail greeting (file: vm_away.wav) for the specified extension (number: 3200).
POST /openapi/v1.0/extension_vm_greeting/upload?access_token=L3LDr0HRuT190YmccVIaXj6OxkLzUHfo HTTP/1.1 Host: 192.168.5.150:8088 Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW ------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="file"; filename="/D:/greeting/vm_away.wav" Content-Type: audio/wav (binary data) ------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="owner" 3200 ------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="is_check" force ------WebKitFormBoundary7MA4YWxkTrZu0gW--
Figure: Request example 2 in Postman

Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"owner": "3200"
}